loci.formats.in

## Enum BaseZeissReader.PointStyle

- java.lang.Object
- - java.lang.Enum<BaseZeissReader.PointStyle>
  - - loci.formats.in.BaseZeissReader.PointStyle

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BaseZeissReader.PointStyle>
  Enclosing class:
    BaseZeissReader

      static enum BaseZeissReader.PointStyle
      extends java.lang.Enum<BaseZeissReader.PointStyle>

  Point styles.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARROW`
    `ASTERISK`
    `BAR`
    `CROSS`
    `CROSSHAIR`
    `DIAMOND`
    `FILLED_ARROW`
    `NONE`
    `PLUS`
    `SQUARE`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.util.Map<java.lang.Integer,BaseZeissReader.PointStyle>` | `lookup`
    `private int` | `value`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BaseZeissReader.PointStyle` | `get(int value)`
    `int` | `getValue()`
    `static BaseZeissReader.PointStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BaseZeissReader.PointStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final BaseZeissReader.PointStyle NONE

    - #### PLUS

          public static final BaseZeissReader.PointStyle PLUS

    - #### CROSS

          public static final BaseZeissReader.PointStyle CROSS

    - #### SQUARE

          public static final BaseZeissReader.PointStyle SQUARE

    - #### DIAMOND

          public static final BaseZeissReader.PointStyle DIAMOND

    - #### ASTERISK

          public static final BaseZeissReader.PointStyle ASTERISK

    - #### ARROW

          public static final BaseZeissReader.PointStyle ARROW

    - #### BAR

          public static final BaseZeissReader.PointStyle BAR

    - #### FILLED_ARROW

          public static final BaseZeissReader.PointStyle FILLED_ARROW

    - #### CROSSHAIR

          public static final BaseZeissReader.PointStyle CROSSHAIR

  - ### Field Detail

    - #### lookup

          private static final java.util.Map<java.lang.Integer,BaseZeissReader.PointStyle> lookup

    - #### value

          private int value

  - ### Method Detail

    - #### values

          public static BaseZeissReader.PointStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BaseZeissReader.PointStyle c : BaseZeissReader.PointStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BaseZeissReader.PointStyle valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### get

          public static BaseZeissReader.PointStyle get(int value)

Copyright © 2026 Open Microscopy Environment